Package com.documentum.fc.client

# Interface IDfAspectRelation

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfAspectRelation extends IDfPersistentObject
This interface provides access to permission-related data stored in ACL objects. An ACL object represents an Access Control List. The entries in its repeating attributes control who can access the object to which the ACL is attached. If the security mode for a repository is set to "acl," then every SysObject in the repository has an ACL. Additionally, user objects and type info objects representing SysObject types generally have ACLs.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChild()`
  Returns the child aspect name of an aspect relation object.
  `String`
  `getParent()`
  Returns the parent aspect name of an aspect relation object.
  `int`
  `getRelation()`
  Returns the aspect relation type of an aspect relation object.
  `void`
  `setChild(String name)`
  Sets the child aspect of an aspect relation object.
  `void`
  `setParent(String name)`
  Sets the parent aspect of an aspect relation object
  `void`
  `setRelation(int type)`
  Sets the relation type of an aspect relation object.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### setParent

    void setParent(String name) throws DfException
    Sets the parent aspect of an aspect relation object
    Parameters:
      `name` - parent aspect name
    Throws:
      `DfException`

  - ### getParent

    String getParent() throws DfException
    Returns the parent aspect name of an aspect relation object.
    Returns:
      parent aspect name
    Throws:
      `DfException`

  - ### setChild

    void setChild(String name) throws DfException
    Sets the child aspect of an aspect relation object.
    Parameters:
      `name` - child aspect name.
    Throws:
      `DfException`

  - ### getChild

    String getChild() throws DfException
    Returns the child aspect name of an aspect relation object.
    Returns:
      child aspect name
    Throws:
      `DfException`

  - ### setRelation

    void setRelation(int type) throws DfException
    Sets the relation type of an aspect relation object. There are two possible values:
    Parameters:
      `type` -
    Throws:
      `DfException`
    See Also:
      - `AspectConstants.NON_COMPATIBLE_ASPECTS`
      - `AspectConstants.PARENT_ASPECT_DOMINATE`

  - ### getRelation

    int getRelation() throws DfException
    Returns the aspect relation type of an aspect relation object.
    Returns:
      parent aspect name
    Throws:
      `DfException`